in scala.compat
object Math

`object` Math
  `extends` java.lang.Object
  `with` scala.ScalaObject

Constructor Summary
| `def` this

Val Summary
| `val` E : scala.Double
| `val` EPS_DOUBLE : scala.Double
| `val` EPS_FLOAT : scala.Float
| `val` MAX_BYTE : scala.Byte
| `val` MAX_CHAR : scala.Char
| `val` MAX_DOUBLE : scala.Double
| `val` MAX_FLOAT : scala.Float
| `val` MAX_INT : scala.Int
| `val` MAX_LONG : scala.Long
| `val` MAX_SHORT : scala.Short
| `val` MIN_BYTE : scala.Byte
| `val` MIN_CHAR : scala.Char
| `val` MIN_DOUBLE : scala.Double
| `val` MIN_FLOAT : scala.Float
| `val` MIN_INT : scala.Int
| `val` MIN_LONG : scala.Long
| `val` MIN_SHORT : scala.Short
| `val` NEG_INF_DOUBLE : scala.Double
| `val` NEG_INF_FLOAT : scala.Float
| `val` NaN_DOUBLE : scala.Double
| `val` NaN_FLOAT : scala.Float
| `val` PI : scala.Double
| `val` POS_INF_DOUBLE : scala.Double
| `val` POS_INF_FLOAT : scala.Float

Def Summary
| `def` ceil (x: scala.Double) : scala.Double
| `def` floor (x: scala.Double) : scala.Double
| `def` log (x: scala.Double) : scala.Double
| `def` max (x: scala.Int, y: scala.Int) : scala.Int
| `def` min (x: scala.Int, y: scala.Int) : scala.Int
| `def` sqrt (x: scala.Double) : scala.Double

Constructor Detail

`def` this

Val Detail

`val` E : scala.Double

`val` EPS_DOUBLE : scala.Double

`val` EPS_FLOAT : scala.Float

`val` MAX_BYTE : scala.Byte

`val` MAX_CHAR : scala.Char

`val` MAX_DOUBLE : scala.Double

`val` MAX_FLOAT : scala.Float

`val` MAX_INT : scala.Int

`val` MAX_LONG : scala.Long

`val` MAX_SHORT : scala.Short

`val` MIN_BYTE : scala.Byte

`val` MIN_CHAR : scala.Char

`val` MIN_DOUBLE : scala.Double

`val` MIN_FLOAT : scala.Float

`val` MIN_INT : scala.Int

`val` MIN_LONG : scala.Long

`val` MIN_SHORT : scala.Short

`val` NEG_INF_DOUBLE : scala.Double

`val` NEG_INF_FLOAT : scala.Float

`val` NaN_DOUBLE : scala.Double

`val` NaN_FLOAT : scala.Float

`val` PI : scala.Double

`val` POS_INF_DOUBLE : scala.Double

`val` POS_INF_FLOAT : scala.Float

Def Detail

`def` ceil (x: scala.Double): scala.Double

`def` floor (x: scala.Double): scala.Double

`def` log (x: scala.Double): scala.Double

`def` max (x: scala.Int, y: scala.Int): scala.Int

`def` min (x: scala.Int, y: scala.Int): scala.Int

`def` sqrt (x: scala.Double): scala.Double